assertions.h File Reference

Go to the source code of this file.

## Macros

#define | __glibcxx_requires_non_empty_range(_First, _Last)
#define | __glibcxx_requires_nonempty()
#define | __glibcxx_requires_subscript(_N)
#define | _GLIBCXX_DEBUG_ASSERT(_Condition)
#define | _GLIBCXX_DEBUG_ONLY(_Statement)
#define | _GLIBCXX_DEBUG_PEDASSERT(_Condition)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file assertions.h.